describe('selectable', function() {

	beforeEach(function() {
		var table = TableHelper.createEmptyTable('some-table');
		for (var i = 0; i < 3; i++) {
			TableHelper.addEmptyLineToTable(table);
		}
		$('#some-table').tablerise();
	});

	afterEach(function() {
		$('#some-table').detach();
	});

	it('tablerise was applyed', function() {
		var plugin = $('#some-table').data('plugin_tablerise');
		expect(true).toBe( typeof plugin === 'object' );
	});

	it("not selected line", function() {
		expect(false).toBe( $('#some-table > tbody > tr').hasClass('row-selected') );
	});

	it("selct table row", function() {
		var row = $('#some-table > tbody > tr:first');
		$(row).trigger('click');
		expect(true).toBe( $(row).hasClass('row-selected') );
	});

	it("select only one row", function() {
		$('#some-table > tbody > tr:first').trigger('click');
		$('#some-table > tbody > tr:last').trigger('click');
		expect(true).toBe( $('#some-table > tbody > tr.row-selected').length === 1 );
	});

	it("deselect line", function() {
		var row = $('#some-table > tbody > tr:first');
		$(row).trigger('click');
		expect(true).toBe( $(row).hasClass('row-selected') );
		$(row).trigger('click');
		expect(false).toBe( $(row).hasClass('row-selected') );
	});

	it("select two lines", function(){
		$('#some-table').detach();
		var table = TableHelper.createEmptyTable('some-table');
		for (var i = 0; i < 3; i++) {
			TableHelper.addEmptyLineToTable(table);
		}
		$('#some-table').tablerise({
			multipleSelect: true
		});

		$('#some-table > tbody > tr:first').trigger('click');
		$('#some-table > tbody > tr:eq(2)').trigger('click');
		expect(true).toBe( $('#some-table > tbody > tr.row-selected').length === 2 );
	});

});
